package md

type CentralKitchenForSchoolOrderListReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	Limit          int    `json:"limit"`
	Page           int    `json:"page" `
	OrdState       int    `json:"ord_state" `
	StartDate      string `json:"start_date" `
	EndDate        string `json:"end_date" `
}

type CentralKitchenForSchoolOrderRefundReq struct {
	OutTradeNo string `json:"out_trade_no" label:"订单号"`
	Id         int    `json:"id" binding:"required" label:"就餐记录id"`
}

type CentralKitchenForSchoolOrderRefundListReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	Limit          int    `json:"limit"`
	Page           int    `json:"page" `
	State          int    `json:"state" `
	StartDate      string `json:"start_date" `
	EndDate        string `json:"end_date" `
}

type CentralKitchenForSchoolOrderRefundListResp struct {
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	OutRequestNo   string `json:"out_request_no" label:"退款请求号"`
	Kind           int    `json:"kind" label:"预定类型"`
	CreateAt       string `json:"create_at" label:"申请时间"`
	RefundDate     string `json:"refund_date" label:"退款时间"`
	Date           string `json:"date" label:"预定时间"`
	State          int    `json:"state" label:"退款状态"`
	Memo           string `json:"memo" label:"备注"`
	Amount         string `json:"amount" label:"退款金额"`
	EnterpriseName string `json:"enterprise_name" label:"学校名称"`
}

type CentralKitchenForSchoolMyReserveResp struct {
	Date           string                                     `json:"date" label:"日期"`
	BreakfastTotal int                                        `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal     int                                        `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal    int                                        `json:"dinner_total" label:"晚餐-总计"`
	Total          int                                        `json:"total" label:"数量-总计"`
	List           []CentralKitchenForSchoolMyReserveRespList `json:"list" label:"列表"`
}

type CentralKitchenForSchoolMyReserveRespList struct {
	Date               string `json:"date" label:"日期"`
	BreakfastTotal     int    `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal         int    `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal        int    `json:"dinner_total" label:"晚餐-总计"`
	BreakfastOrdNoList []struct {
		OutTradeNo string `json:"out_trade_no" label:"业务订单号"`
		Id         int    `json:"id" label:"就餐记录id"`
	} `json:"breakfast_ord_no_list" label:"早餐-订单列表"`
	LunchOrdNoList []struct {
		OutTradeNo string `json:"out_trade_no" label:"业务订单号"`
		Id         int    `json:"id" label:"就餐记录id"`
	} `json:"lunch_ord_no_list" label:"午餐-订单列表"`
	DinnerOrdNoList []struct {
		OutTradeNo string `json:"out_trade_no" label:"业务订单号"`
		Id         int    `json:"id" label:"就餐记录id"`
	} `json:"dinner_ord_no_list" label:"晚餐-订单列表"`
}

type CentralKitchenForSchoolMyReserveListResp struct {
	Date        string                                         `json:"date" label:"日期"`
	TotalAmount string                                         `json:"total_amount" label:"总计金额"`
	List        []CentralKitchenForSchoolMyReserveListRespList `json:"list" label:"列表"`
}

type CentralKitchenForSchoolMyReserveListRespList struct {
	Month             int    `json:"month" label:"月份"`
	TotalAmount       string `json:"total_amount" label:"总金额"`
	RefundTotalAmount string `json:"refund_total_amount" label:"退款总金额"`
}

type SelfSupportForSchoolOrderListReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	Limit          int    `json:"limit"`
	Page           int    `json:"page" `
	OrderStatus    int    `json:"order_status" `
	StartDate      string `json:"start_date" `
	EndDate        string `json:"end_date" `
}

type SelfSupportForSchoolOrderArrearsListReq struct {
	UserIdentityId int `json:"user_identity_id" label:"用户身份id"`
	Limit          int `json:"limit"`
	Page           int `json:"page" `
}

type SelfSupportForSchoolOrderDebtRepayReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	OutOrderNo     string `json:"out_order_no"`
	MerchantCode   string `json:"merchant_code" `
}

type AlipayPlanetEcocampusApiFtokenQueryReq struct {
	OutOrderNo   string `json:"out_order_no"`
	CpMerchantId string `json:"cp_merchant_id" `
}

type NursingHomeOrderListReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	Limit          int    `json:"limit"`
	Page           int    `json:"page" `
	OrdState       int    `json:"ord_state" `
	StartDate      string `json:"start_date" `
	EndDate        string `json:"end_date" `
}

type NursingHomeOrderRefundReq struct {
	OutTradeNo string `json:"out_trade_no" label:"订单号"`
	Id         int    `json:"id" binding:"required" label:"就餐记录id"`
}

type NursingHomeOrderRefundListReq struct {
	UserIdentityId int    `json:"user_identity_id" label:"用户身份id"`
	Limit          int    `json:"limit"`
	Page           int    `json:"page" `
	State          int    `json:"state" `
	StartDate      string `json:"start_date" `
	EndDate        string `json:"end_date" `
}

type NursingHomeOrderRefundListResp struct {
	OutTradeNo     string `json:"out_trade_no" label:"订单号"`
	OutRequestNo   string `json:"out_request_no" label:"退款请求号"`
	Kind           int    `json:"kind" label:"预定类型"`
	CreateAt       string `json:"create_at" label:"申请时间"`
	RefundDate     string `json:"refund_date" label:"退款时间"`
	Date           string `json:"date" label:"预定时间"`
	State          int    `json:"state" label:"退款状态"`
	Memo           string `json:"memo" label:"备注"`
	Amount         string `json:"amount" label:"退款金额"`
	EnterpriseName string `json:"enterprise_name" label:"单位名称"`
}

type NursingHomeMyReserveResp struct {
	Date           string                         `json:"date" label:"日期"`
	BreakfastTotal int                            `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal     int                            `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal    int                            `json:"dinner_total" label:"晚餐-总计"`
	Total          int                            `json:"total" label:"数量-总计"`
	List           []NursingHomeMyReserveRespList `json:"list" label:"列表"`
}
type NursingHomeMyReserveRespList struct {
	Date           string `json:"date" label:"日期"`
	BreakfastTotal int    `json:"breakfast_total" label:"早餐-总计"`
	LunchTotal     int    `json:"lunch_total" label:"午餐-总计"`
	DinnerTotal    int    `json:"dinner_total" label:"晚餐-总计"`
}
